import { AbstractDbxActionHandlerDirective, FilterSourceDirective } from '@dereekb/dbx-core';
import * as i0 from "@angular/core";
/**
 * Action component used to simplify creating a filter form.
 *
 * Provides a DbxAction and configures the action to set the filter on a FilterSourceDirective when triggered.
 */
export declare class DbxFilterWrapperComponent<F = unknown> extends AbstractDbxActionHandlerDirective<F> {
    readonly filterSourceDirective: FilterSourceDirective<any>;
    readonly showButtons: import("@angular/core").InputSignal<boolean>;
    readonly applyRaised: import("@angular/core").InputSignal<boolean>;
    readonly applyIcon: import("@angular/core").InputSignal<string>;
    readonly applyText: import("@angular/core").InputSignal<string>;
    constructor();
    applyFilter(): void;
    resetFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxFilterWrapperComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxFilterWrapperComponent<any>, "dbx-filter-wrapper", never, { "showButtons": { "alias": "showButtons"; "required": false; "isSignal": true; }; "applyRaised": { "alias": "applyRaised"; "required": false; "isSignal": true; }; "applyIcon": { "alias": "applyIcon"; "required": false; "isSignal": true; }; "applyText": { "alias": "applyText"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
